# CargoSummaryItem Struct Reference

Helper struct for the cargo details information. More...

## Public Member Functions
FORCEINLINE bool | operator!= (const CargoSummaryItem &other) const
| Used by CargoSummary::Find() and similiar functions.
## Data Fields
CargoID | cargo
| The cargo that is carried.
StringID | subtype
| STR_EMPTY if none.
uint | capacity
| Amount that can be carried.
uint | amount
| Amount that is carried.
StationID | source
| One of the source stations.

## Detailed Description

Helper struct for the cargo details information.

Definition at line 115 of file train_gui.cpp.

The documentation for this struct was generated from the following file:

- src/train_gui.cpp